Subject: Re: bug#58789: julia 1.6.7 Pkg.add fails with curl_multisocket error

From: Efraim Flashner <[email-masked]>
Date: Mon, 12 Dec 2022 15:13:53 +0200

On Tue, Oct 25, 2022 at 04:52:57PM -0400, John Biechele-Speziale via Bug reports for GNU Guix wrote:
> After installing GuixSD and julia on the fairly minimal installation,
> running julia and entering the following command ’] add DrWatson’
> fails with the following error: “ curl_multi_socket_action: 8”.
> Oddly enough, some packages work, such as LibCURL, but most fail.
> 
> The failure seems to occurs at the “resolving pkg versions” stage.
> 
> I’m a bit new to guix and mailing lists in general, so if there’s
> anything else I need to provide to help reproduce the bug, please
> let me know and I’ll send it ASAP.

With the update of Julia to 1.8.3 I have tested installing DrWatson
using the Julia REPL and it now works.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted